Penning Trap Simulation Simulate particle behavior inside a Penning Trap

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
PenningTrapTest Class Reference

Test class for the Penning trap. More...

## Static Public Member Functions
static void | test_external_E_field ()
| Test that the external E field gives correct values.
static void | test_external_B_field ()
| Test that the external B field gives correct values.
static void | test_force_on_particle ()
| Test that the force between particles gives expected results.
static void | test_total_force_external ()
| Test that the total external force returns expected results.
static void | test_total_force_particles ()
| Test that the total force of all particles on a single particle returns expected results.

## Detailed Description

Test class for the Penning trap.

Definition at line 22 of file test_suite.cpp.

## Member Function Documentation

## ◆ test_external_B_field()

static void PenningTrapTest::test_external_B_field | ( |  | ) |
| inline static

Test that the external B field gives correct values.

Definition at line 65 of file test_suite.cpp.

## ◆ test_external_E_field()

static void PenningTrapTest::test_external_E_field | ( |  | ) |
| inline static

Test that the external E field gives correct values.

Definition at line 26 of file test_suite.cpp.

## ◆ test_force_on_particle()

static void PenningTrapTest::test_force_on_particle | ( |  | ) |
| inline static

Test that the force between particles gives expected results.

Definition at line 78 of file test_suite.cpp.

## ◆ test_total_force_external()

static void PenningTrapTest::test_total_force_external | ( |  | ) |
| inline static

Test that the total external force returns expected results.

Definition at line 105 of file test_suite.cpp.

## ◆ test_total_force_particles()

static void PenningTrapTest::test_total_force_particles | ( |  | ) |
| inline static

Test that the total force of all particles on a single particle returns expected results.

Definition at line 121 of file test_suite.cpp.

The documentation for this class was generated from the following file:

- src/test_suite.cpp